/*
 * Class BAG [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_448 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_448 [] = {0xFF01,237,447,212,0xFFFF};
static const EIF_TYPE_INDEX egt_2_448 [] = {0xFF01,447,212,0xFFFF};
static const EIF_TYPE_INDEX egt_3_448 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_448 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_448 [] = {0xFF01,447,212,0xFFFF};
static const EIF_TYPE_INDEX egt_6_448 [] = {0xFF01,447,212,0xFFFF};
static const EIF_TYPE_INDEX egt_7_448 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_448 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_448 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_448 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_448 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_448 [] = {447,212,0xFFFF};
static const EIF_TYPE_INDEX egt_13_448 [] = {0xFF01,447,212,0xFFFF};
static const EIF_TYPE_INDEX egt_14_448 [] = {0xFF01,444,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_448 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_448[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_448), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_448), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_448), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_448), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_448), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_448), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_448), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_448), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_448), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_448), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_448), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_448), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_448), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_448), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1871, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1873, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1874, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_448), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_448), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init448(void)
{
	IDSC(desc_448, 0, 447);
	IDSC(desc_448 + 1, 1, 447);
	IDSC(desc_448 + 32, 77, 447);
	IDSC(desc_448 + 41, 282, 447);
	IDSC(desc_448 + 50, 229, 447);
}


#ifdef __cplusplus
}
#endif
